<template lang="pug">
title-bar {{ $t("default.create_car") }}
b-container
	.tile.is-ancestor
		.tile.is-parent
			b-card.tile.is-child
				car-form( @submit='submit' )
</template>

<script setup>
	import CarForm from "@/components/car/Form.vue"

	import { useCarStore } from "@/stores/car"
	import { useRouter } from "vue-router"

	const $router = useRouter()
	const cs = useCarStore()

	const submit = async data => {
		cs.createCar(data).then(() => {
			$router.push({ name: "Cars" })
		})
	} 
</script>

<style lang="scss" scoped></style>